+++
title = "Configuration file"
weight = 10
+++

In the [quickstart](@/documentation/quick-start/_index.md), you launched Aerogramme in "development mode", that do not require a configuration file. But for a real-world usage, you will need to specificy many things: how your users are managed, which port to use, how and where data is stored, etc. 

This page describes how to write your first configuration file.
If you want a complete reference, check the dedicated [Configuration Reference](@/documentation/reference/config.md) page.

```toml
role = "Provider"
pid = "aerogramme.pid"

[imap_unsecure]
bind_addr = "[::]:1143"

[auth]
bind_addr = "[::1]:12345"

[lmtp]
bind_addr = "[::1]:1025"
hostname = "example.tld"

[users]
user_driver = "Static"
user_list = "users.toml"
```

Copy this content in a file named `aerogramme.toml`.
Also create an empty file named `users.toml` (Aerogramme does not know how to create it automatically yet).

And then you can start Aerogramme with the following configuration file:

```bash
aerogramme -c aerogramme.toml provider daemon
```
